Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACEXML_SAXException Class Reference

ACEXML_SAXException. More...

`#include "ACEXML/common/SAXExceptions.h"`

Inheritance diagram for ACEXML_SAXException:

[legend]
Collaboration diagram for ACEXML_SAXException:

[legend]
List of all members.

## Public Methods
| ACEXML_SAXException (void)
| Default constructor. More...
| ACEXML_SAXException (const ACEXML_Char *msg)
| Constructor initializing the exception message. More...
| ACEXML_SAXException (const ACEXML_SAXException &ex)
| Copy constructor. More...
virtual | ~ACEXML_SAXException (void)
| Destructor. More...
virtual const ACEXML_Char * | id (void)
| Return the exception type. (for safe downcast.). More...
const ACEXML_Char * | message (void)
| Return the extra message accompanying the exception. More...
virtual ACEXML_Exception * | duplicate (void)
| Dynamically create a copy of this exception. More...
virtual int | is_a (const ACEXML_Char *name)
| Check whether this is an exception of type specify by <name>. More...
virtual void | print (void)
| Print out exception using ACE_DEBUG. More...
## Static Public Methods
const ACEXML_Char * | name (void)
| Accessor for the exception name. More...
## Protected Attributes
ACEXML_Char * | message_
| A message providing more information about the exception being thrown. More...
## Static Protected Attributes
const ACEXML_Char * | exception_name_ = ACEXML_SAXException_name
| All exceptions have names. This name is used to identify the type of an exception. More...

## Detailed Description

ACEXML_SAXException.

ACEXML_SAXException is the mother of all SAX related exceptions.

## Constructor & Destructor Documentation

ACEXML_SAXException::ACEXML_SAXException | ( | void |  | ) |

| Default constructor.

ACEXML_SAXException::ACEXML_SAXException | ( | const ACEXML_Char * | msg | ) |

| Constructor initializing the exception message.

ACEXML_SAXException::ACEXML_SAXException | ( | const ACEXML_SAXException & | ex | ) |

| Copy constructor.

ACEXML_SAXException::~ACEXML_SAXException | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

ACEXML_Exception * ACEXML_SAXException::duplicate | ( | void |  | ) | `[virtual]`

| Dynamically create a copy of this exception. Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

const ACEXML_Char * ACEXML_SAXException::id | ( | void |  | ) | `[virtual]`

| Return the exception type. (for safe downcast.). Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

int ACEXML_SAXException::is_a | ( | const ACEXML_Char * | name | ) | `[virtual]`

| Check whether this is an exception of type specify by <name>. Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXException::message | ( | void |  | ) |

| Return the extra message accompanying the exception.

ACEXML_INLINE const ACEXML_Char * ACEXML_SAXException::name | ( | void |  | ) | `[static]`

| Accessor for the exception name. Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

void ACEXML_SAXException::print | ( | void |  | ) | `[virtual]`

| Print out exception using ACE_DEBUG. Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

## Member Data Documentation

const ACEXML_Char * ACEXML_SAXException::exception_name_ = ACEXML_SAXException_name`[static, protected]`

| All exceptions have names. This name is used to identify the type of an exception. Reimplemented from ACEXML_Exception. Reimplemented in ACEXML_SAXNotSupportedException, ACEXML_SAXNotRecognizedException, and ACEXML_SAXParseException.

ACEXML_Char* ACEXML_SAXException::message_`[protected]`

| A message providing more information about the exception being thrown.

The documentation for this class was generated from the following files:

- SAXExceptions.h
- SAXExceptions.cpp
- SAXExceptions.i